sysdep.h File Reference
`#include "ithread.h"`
`#include "global.h"`
`#include "md5.h"`
`#include "UpnpStdInt.h"`
`#include <sys/types.h>`
`#include <sys/time.h>`
Include dependency graph for sysdep.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | uuid_node_t

## Macros

#define | UUIDS_PER_TICK 1024
#define | UUIDLock() ithread_mutex_lock(&gUUIDMutex)
#define | UUIDUnlock() ithread_mutex_unlock(&gUUIDMutex)

## Typedefs

typedef uint64_t | uuid_time_t

## Functions

void | get_ieee_node_identifier (uuid_node_t *node)
| System dependent call to get IEEE node ID. More...
void | get_system_time (uuid_time_t *uuid_time)
| System dependent call to get the current system time. More...
void | get_random_info (unsigned char seed[16])

## Variables

ithread_mutex_t | gUUIDMutex

## Macro Definition Documentation

## UUIDS_PER_TICK

#define UUIDS_PER_TICK 1024

set the following to the number of 100ns ticks of the actual resolution of your system's clock

Referenced by get_current_time(), and true_random().

## Function Documentation

## get_ieee_node_identifier()

void get_ieee_node_identifier | ( | uuid_node_t * | node | ) |

System dependent call to get IEEE node ID.

This sample implementation generates a random node ID.

## get_system_time()

void get_system_time | ( | uuid_time_t * | uuid_time | ) |

System dependent call to get the current system time.

Returned as 100ns ticks since Oct 15, 1582, but resolution may be less than 100ns.

Referenced by get_current_time(), and true_random().